local WXApi = require("platform.WXApi")
local QQApi = require("platform.QQApi")
local QQBigShot = require("platform.QQBigShot")
function CG_TENCENT_BUY(human,msg)
	WXApi.onBuy(human, msg)
end

function CG_TENCENT_REFRESH(human,msg)
	
end

function CG_KT_TOKEN(human,msg)

end

function CG_BUY_TOKEN(human,msg)
	QQApi.getBuyToken(human, msg.id, 1)
end

--[[
function CG_QQ_REAL_NAME_REGISTER(human, msg)
    QQApi.realNameRegister(human, msg.idnumber, msg.name)
end--]]

function CG_QQ_BIGSHOT_UPDATE_LV(human, msg)
	QQBigShot.QQBigShot_UpdateLv(human, msg.nLv)
end

function CG_QQ_BIGSHOT_QUERY(human, msg)
	QQBigShot.QQBigShot_Query(human)
end

function CG_QQ_BIGSHOT_GET_PRIZE(human, msg)
	QQBigShot.QQBigShot_GetPrize(human, msg.nID)
end